<ion-view cache-view="false" title="EDITIONS" ng-controller="adminEventCtrl as scope">
  <ion-content>


    <div class="row">
      <div class="col-sm-12">
        <ul class="nav nav-tabs">
          <li role="presentation" class="active">
            <a href="">EDICIONES</a>
          </li>
          <li role="presentation" ui-sref-active="active" ui-sref="typesEdit({idType: scope.typeEvent})">
            <a href="">MODULOS DEL EVENTO</a>
          </li>
        </ul>
      </div>
    </div>


    <ion-toggle ng-model="shouldShowDelete">
      Show Delete?
    </ion-toggle>

    <ion-list show-delete="shouldShowDelete">
      <!-- the ng-repeat -->
      <ion-item ng-repeat="(key, event) in scope.events" ng-if="key != 'active' && event.typeEvent == scope.typeEvent">
        <ion-delete-button class="ion-minus-circled" ng-click="scope.deleteEvent(key)"></ion-delete-button>

        <div ui-sref="admin.editEvent({idType: scope.typeEvent, idEvent: key})">{{event.name}}</div>

        <div class="buttons-event">
          <button class="btn btn-success" ng-if="!scope.events[key].private" ng-click="scope.changePrivacy(key)">Private</button>
          <button class="btn btn-danger"  ng-if="scope.events[key].private" ng-click="scope.changePrivacy(key, true)">Unprivate</button>
          <button class="btn btn-primary" ng-if="scope.type.events.active != key" ng-click="scope.changeActive(key)">Active</button>
          <button class="btn btn-warning" ng-if="scope.type.events.active == key" ng-click="scope.changeActive(key, true)">Desactive</button>
          <button class="btn btn-success" ng-if="!scope.type.events[key]" ng-click="scope.changePublish(key)">Publish</button>
          <button class="btn btn-danger"  ng-if="scope.type.events[key]" ng-click="scope.changePublish(key, true)">Unpublish</button>
        </div>
      </ion-item>

    </ion-list>

  </ion-content>
  <ion-footer-bar align-title="left" class="bar-calm">
    <div class="buttons">
      <button class="button" ng-click="scope.new()">
        CREATE NEW EDITION
      </button>
    </div>
  </ion-footer-bar>
</ion-view>
